### Variables

variable "environment" {
  description = "The short name of this deployed environment. For example: 'dev' or 'prod'. This short name will be used to name resources (CloudFront distributions, etc.)"
}

variable "artifact_bucket" {
  description = "The aws_s3_bucket object representing the artifact bucket where deployed artifacts, logs, etc. live."
}

variable "domain_cert_arn" {
  description = "ARN for the SSL certificate to use for this environment's configuration."
}

variable "route53_zone" {
  description = "Route53 hosted zone for the deployed environments."
}

locals {
  app_domain_name = "pm${var.environment == "prod" ? "" : "-${var.environment}"}.jdb-software.com"
  api_domain_name = "api.pm${var.environment == "prod" ? "" : "-${var.environment}"}.jdb-software.com"
}
